singularity(1)

NAME

singularity-push - Upload image to the provided URI

SYNOPSIS

singularity push [push options...]

DESCRIPTION

The 'push' command allows you to upload a SIF container to a given
  URI. Supported URIs include:

library:
      library://user/collection/container[:tag]

oras:
      oras://registry/namespace/repo:tag

NOTE: It's always good practice to sign your containers before
  pushing them to the library. An auth token is required to push to the library,
  so you may need to configure it first with 'singularity remote'.

OPTIONS

-U, --allow-unsigned[=false]
    do not require a signed container image

--authfile=""
    Docker-style authentication file to use for writing/reading OCI registry credentials

-D, --description=""
    description for container image (library:// only)

--docker-host=""
    specify a custom Docker daemon host

-h, --help[=false]
    help for push

--layer-format=""
    layer format when pushing OCI-SIF images - squashfs or tar

--library=""
    the library to push to

EXAMPLE
      To Library
      $ singularity push /home/user/my.sif library://user/collection/my.sif:latest
      To supported OCI registry
      $ singularity push /home/user/my.sif oras://registry/namespace/image:tag

SEE ALSO

singularity(1)

HISTORY

29-Oct-2024 Auto generated by spf13/cobra